Bug 244760 - devel/gdb: Fails to build with GUILE option enabled
Summary: devel/gdb: Fails to build with GUILE option enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-12 15:27 UTC by Ting-Wei Lan
Modified: 2020-03-15 18:04 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2020-03-12 15:27:53 UTC
It fails at here:

/bin/sh /wrkdirs/usr/ports/devel/gdb/work-py37/gdb-9.1/gdb/../mkinstalldirs nat/.deps
mkdir nat
mkdir nat/.deps
  CXX    gdb.o
  CXX    aarch32-tdep.o
  CXX    aarch64-fbsd-kern.o
  CXX    aarch64-fbsd-tdep.o
  CXX    aarch64-linux-tdep.o
  CXX    aarch64-newlib-tdep.o
  CXX    aarch64-ravenscar-thread.o
  CXX    aarch64-tdep.o
  CXX    ada-exp.o
  CXX    ada-lang.o
...
  CXX    gdbsupport/xml-utils.o
  CXX    gdbtypes.o
  CXX    glibc-tdep.o
  CXX    gnu-v2-abi.o
  CXX    gnu-v3-abi.o
  CXX    go-exp.o
  CXX    go-lang.o
  CXX    go-typeprint.o
  CXX    go-valprint.o
  CXX    guile/guile.o
  CXX    guile/scm-arch.o
  CXX    guile/scm-auto-load.o
  CXX    guile/scm-block.o
  CXX    guile/scm-breakpoint.o
  CXX    guile/scm-cmd.o
  CXX    guile/scm-disasm.o
  CXX    guile/scm-exception.o
  CXX    guile/scm-frame.o
  CXX    guile/scm-gsmob.o
  CXX    guile/scm-iterator.o
  CXX    guile/scm-lazy-string.o
  CXX    guile/scm-math.o
  CXX    guile/scm-objfile.o
  CXX    guile/scm-param.o
  CXX    guile/scm-ports.o
/wrkdirs/usr/ports/devel/gdb/work-py37/gdb-9.1/gdb/guile/scm-ports.c:314:3: error: use of undeclared identifier 'TRY'
  TRY
  ^
1 error generated.
gmake[3]: *** [Makefile:1667: guile/scm-ports.o] Error 1
gmake[3]: Leaving directory '/wrkdirs/usr/ports/devel/gdb/work-py37/.build/gdb'
gmake[2]: *** [Makefile:8273: all-gdb] Error 2
gmake[2]: Leaving directory '/wrkdirs/usr/ports/devel/gdb/work-py37/.build'
gmake[1]: *** [Makefile:851: all] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/devel/gdb/work-py37/.build'
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/gdb
Comment 1 commit-hook freebsd_committer 2020-03-13 09:13:35 UTC
A commit references this bug:

Author: pizzamig
Date: Fri Mar 13 09:12:42 UTC 2020
New revision: 528338
URL: https://svnweb.freebsd.org/changeset/ports/528338

Log:
  devel/gdb: fix build with BUILE option enabled

  PR:		244760
  Reported by:	Ting-Wei Lan <lantw44@gmail.com>

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/files/extrapatch-guile22
Comment 2 Luca Pizzamiglio freebsd_committer 2020-03-15 18:04:55 UTC
Fixed. Thanks for reporting!